ATA_WAIT_READY(9)

NAME
ata_wait_ready - wait for link to become ready

SYNOPSIS

int ata_wait_ready(struct ata_link * link, unsigned long deadline, int (*check_ready) (struct ata_link *link));

ARGUMENTS

link
    link to be waited on

deadline
    deadline jiffies for the operation

check_ready
    callback to check link readiness

DESCRIPTION

Wait for link to become ready. check_ready should return positive number if link is ready, 0 if it isn't, -ENODEV if link doesn't seem to be occupied, other errno for other error conditions.

Transient -ENODEV conditions are allowed for ATA_TMOUT_FF_WAIT.

LOCKING

EH context.

RETURNS

0 if linke is ready before deadline; otherwise, -errno.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT